package net.pricefx.formulaengine;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.util.List;

public class ResultOverride {
	private boolean force;
	private Object value;
	private String elementName;
	private List<Object> overrideValueOptions;

	public ResultOverride() {}	//needed for Jackson
	
	public ResultOverride(Object value, boolean force) {
		this.force = force;
		this.value = value;
	}
	
	public ResultOverride(Object value, String elementName) {
		this.elementName = elementName;
		this.value = value;
	}		
	
	public ResultOverride(Object value, String elementName, boolean force) {
	    this.elementName = elementName;
	    this.value = value;
	    this.force = force;
	}

	public ResultOverride(Object value, String elementName, List<Object> overrideValueOptions) {
		this.elementName = elementName;
		this.value = value;
		this.overrideValueOptions = overrideValueOptions;
	}

	public ResultOverride(Object value, List<Object> overrideValueOptions, boolean force) {
		this.value = value;
		this.force = force;
		this.overrideValueOptions = overrideValueOptions;
	}

	@JsonIgnore
	public boolean isForced() {
		return force;
	}

	public Object getValue() {
		return value;
	}
	
	public String getElementName() {
		return elementName;
	}

	public void setValue(Object value) {
		this.value = value;
	}

	@Override
	public String toString() {
		return "ResultOverride [name=" + elementName + " - value=" + value + "]";
	}

	@JsonIgnore
	public List<Object> getOverrideValueOptions() {
		return overrideValueOptions;
	}

	public void setOverrideValueOptions(List<Object> overrideValueOptions) {
		this.overrideValueOptions = overrideValueOptions;
	}
}