package net.pricefx.server.util.metamodel;

import org.apache.metamodel.schema.AbstractSchema;
import org.apache.metamodel.schema.Table;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;


public abstract class Schema extends AbstractSchema {

	private static final long serialVersionUID = 1L;
	
	protected final Map<Object, Table> tables = new LinkedHashMap<>();
	protected final String name;
	

	protected Schema(String name) {
		super();
		this.name = name;
	}

	@Override
	public List<org.apache.metamodel.schema.Table> getTables() {
	    return new ArrayList<>(tables.values());
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public String getQuote() {
		return null;
	}
	
}
